<?php
/**
* @version      $Id: website_customer_registration.php
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/

include_once './core/shop_opinion.class.php';

class website_show_opinion {
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
		
	function run() {
		$opinion_object = new Shop_opinion($this->base_object);
		$list_data = $opinion_object->get_opinion_list();
		$this->layout_object->assign('opinion_list', $list_data);
	

		return $this->layout_object->_fetch('content_show_opinion.tpl');
	}
}